CVC4::CommandStatus Class Referenceabstract

`#include <command.h>`

Inheritance diagram for CVC4::CommandStatus:
[legend]

## Public Member Functions

virtual | ~CommandStatus () throw ()
void | toStream (std::ostream &out, OutputLanguage language=language::output::LANG_AUTO) const throw ()
virtual CommandStatus & | clone () const =0

## Protected Member Functions

| CommandStatus () throw ()

## Detailed Description

Definition at line 152 of file command.h.

## Constructor & Destructor Documentation

## CommandStatus()

CVC4::CommandStatus::CommandStatus | ( |  | ) |
throw | ( | ) |  |  |

inlineprotected

Definition at line 155 of file command.h.

## ~CommandStatus()

virtual CVC4::CommandStatus::~CommandStatus | ( |  | ) |
throw | ( | ) |  |  |

inlinevirtual

Definition at line 157 of file command.h.

## Member Function Documentation

## clone()

virtual CommandStatus & CVC4::CommandStatus::clone | ( |  | ) | const

pure virtual

Implemented in CVC4::CommandFailure, CVC4::CommandSuccess, and CVC4::CommandUnsupported.

## toStream()

void CVC4::CommandStatus::toStream | ( | std::ostream & | out,
|  | OutputLanguage | language = language::output::LANG_AUTO ) const
throw | ( | ) |  |  |

The documentation for this class was generated from the following file:

- src/expr/command.h